summaryrefslogtreecommitdiff
path: root/libre
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2023-04-15 20:57:04 -0400
committerbill-auger <mr.j.spam.me@gmail.com>2023-06-08 23:03:40 -0400
commit39bc37d5eb92d1bb0b6afc1b1c9edd058e8ea7f7 (patch)
tree2539951b7b7d108ee9c0733cacfc1bb5a37a6a0e /libre
parent73e526c0beda7f6c249f7573d654445b8efa76ca (diff)
[icecat][icedove][icewesel]: housekeeping
Diffstat (limited to 'libre')
-rw-r--r--libre/icecat/PKGBUILD59
-rw-r--r--libre/icedove/PKGBUILD3
-rw-r--r--libre/iceweasel/PKGBUILD55
3 files changed, 54 insertions, 63 deletions
diff --git a/libre/icecat/PKGBUILD b/libre/icecat/PKGBUILD
index 7c2ac77bf..15609c229 100644
--- a/libre/icecat/PKGBUILD
+++ b/libre/icecat/PKGBUILD
@@ -1,9 +1,9 @@
-# Maintainer (arch): Jan Alexander Steffens (heftig) <heftig@archlinux.org>
+# Maintainer (arch:firefox): Jan Alexander Steffens (heftig) <heftig@archlinux.org>
# Contributor: Ionut Biru <ibiru@archlinux.org>
# Contributor: Jakub Schmidtke <sjakub@gmail.com>
# Contributor: Henry Jensen <hjensen@connochaetos.org>
-# Maintainer (archarm): Kevin Mihelich <kevin@archlinuxarm.org>
-# Maintainer (arch32): Andreas Baumann <mail@andreasbaumann.cc>
+# Maintainer (archarm:firefox): Kevin Mihelich <kevin@archlinuxarm.org>
+# Maintainer (arch32:firefox): Andreas Baumann <mail@andreasbaumann.cc>
# Contributor: Erich Eckner <git@eckner.net>
# Contributor: Andreas Grapentin <andreas@grapentin.org>
# Contributor: Luke Shumaker <lukeshu@parabola.nu>
@@ -73,7 +73,7 @@ _upstream_ver=102.5.0-gnu1
# _upstream_ver=${_upstream_ver/-gnu1/-gnu0-pre1} # (VCS builds)
pkgver=${_upstream_ver//-/_}
pkgrel=1
-pkgdesc="the GNU web browser, based on Mozilla Firefox ESR"
+pkgdesc="the GNU web browser, derived from Mozilla Firefox ESR"
url=http://www.gnu.org/software/gnuzilla/
arch=(x86_64)
arch+=(
@@ -163,16 +163,15 @@ sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e3
## compiler and optimization tweaks ##
-# disable PGO for 32-bit arches (always), x86_64 optionally
-# normally enabled ('0') for x86_64 - try '1' if the build hangs indefinitely
+# disable PGO for 32-bit arches, 64-bit optionally
+# try '1' if the build hangs indefinitely - known past causes:
+# * resource exhaustion
+# * a test which misbehaves in environments without networking
readonly _SHOULD_SKIP_PGO=$(case "${CARCH}" in armv7h|i686) echo 1 ;; *) echo 0 ;; esac)
-# use GCC vs LLVM for 32-bit arches
-# normally not needed ('0') for x86_64
-# for 32-bit arches, try one or the other, to resolve compiler/linker issues
-readonly _SHOULD_USE_GCC==$(case "${CARCH}" in armv7h) echo 1 ;;
- i686 ) echo 1 ;;
- x86_64) echo 0 ;; esac)
+# use GCC vs LLVM for 32-bit arches, 64-bit optionally
+# trying one or the other, may resolve rolling compiler/linker discrepancies
+readonly _SHOULD_USE_GCC=$(case "${CARCH}" in armv7h) echo 1 ;; *) echo 0 ;; esac)
## dependency tweaks ##
@@ -363,6 +362,18 @@ EOF
# archarm configuration #
+ # archarm has these over-rides in ## general configuration ## above
+ # NOTE: '--disable-eme' is currently an invalid option for armv7h.
+ # It must be deleted in order to compile.
+ # If ever it becomes valid, it should not be deleted below.
+ sed -i '
+ /--enable-hardening/d
+ /--enable-optimize/d
+ /--enable-rust-simd/d
+ s| --with-wasi-sysroot=.*| --without-wasm-sandboxed-libraries|
+ /--disable-eme/d
+ ' ../mozconfig
+
if [[ $CARCH == "armv7h" ]]; then
echo "ac_add_options --disable-elf-hack" >> .mozconfig
# https://bugzilla.redhat.com/show_bug.cgi?id=1641623
@@ -386,18 +397,6 @@ EOF
# archarm patching is under the 'technical patching' section
- # archarm has these differences in ## general configuration ## above
- # NOTE: '--disable-eme' is currently an invalid option for armv7h.
- # It must be deleted in order to compile.
- # If ever it becomes valid, it should not be deleted below.
- sed -i '
- /--enable-hardening/d
- /--enable-optimize/d
- /--enable-rust-simd/d
- s| --with-wasi-sysroot=.*| --without-wasm-sandboxed-libraries|
- /--disable-eme/d
- ' ../mozconfig
-
# At this point in the recipe (this `case` block), the arch, arch32, and parabola
# PKGBUILDs have prepared a temporary ${srcdir}/mozconfig; but the archarm PKGBUILD
# writes directly to the final firefox-$pkgver/.mozconfig.
@@ -423,25 +422,21 @@ END
# arch32 `export` commands are under the '[ARCH-SPECIFIC BUILD ENV]' section
- # NOTE: these diffs and the compiler flags above, were moved to mozconfig-i686.patch
- # they are more handy to tweak in-line though
+ # NOTE: arch32 has these over-rides and the compiler flags above, in mozconfig-i686.patch
# disable LTO as it has little benefit and uses too many resources
# don't compile with clang, use gcc toolchain (clang has issues on IA32)
# disable SIMD (SSE2 for i686)
# set correct compiler and toochain tools
cat >>../mozconfig <<END
-#ac_add_options --disable-linker=lld
-#ac_add_options --enable-linker=bfd
+ac_add_options --disable-linker=lld
+ac_add_options --enable-linker=bfd
ac_add_options --disable-lto
ac_add_options --disable-rust-simd
ac_add_options --disable-debug
ac_add_options --disable-debug-symbols
+ac_add_options --disable-webrtc
END
- # FIXME GCC: /usr/lib/gcc/i686-pc-linux-gnu/12.1.0/include/xmmintrin.h:208:1: error: inlining failed in call to ‘always_inline’ ‘__m128 _mm_sqrt_ps(__m128)’: target specific option mismatch
- # FIXME LLVM: /build/iceweasel/src/firefox-106.0.1/third_party/libwebrtc/modules/audio_processing/aec3/adaptive_fir_filter.cc:110:27: error: always_inline function '_mm_loadu_ps' requires target feature 'sse', but would be inlined into function 'ComputeFrequencyResponse_Sse2' that is compiled without support for 'sse'
- echo "ac_add_options --disable-webrtc" >> ../mozconfig
-
sed -i '/cargo_rustc_flags += -Clto/d' config/makefiles/rust.mk # FIXME: is this needed?
# arch32 patching is under the 'technical patching' section
diff --git a/libre/icedove/PKGBUILD b/libre/icedove/PKGBUILD
index e6c27b00e..d857d877c 100644
--- a/libre/icedove/PKGBUILD
+++ b/libre/icedove/PKGBUILD
@@ -1,4 +1,4 @@
-# Maintainer (arch): Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Maintainer (arch:thunderbird): Levente Polyak <anthraxx[at]archlinux[dot]org>
# Contributor: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
# Contributor: Ionut Biru <ibiru@archlinux.org>
# Contributor: Alexander Baldeck <alexander@archlinux.org>
@@ -121,7 +121,6 @@ prepare() {
# increase codegen-units due to RAM constraints
sed -i 's/codegen-units=1/codegen-units=16/' config/makefiles/rust.mk
fi
-
echo 'ac_add_options --enable-optimize="-g0 -O2"' >> .mozconfig
echo "mk_add_options MOZ_MAKE_FLAGS=\"${MAKEFLAGS}\"" >> .mozconfig
diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 61606213f..e4aa8973b 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -229,16 +229,15 @@ b2sums_i686=('97035e44cd1deae7bb2422c81eec7294feb51f43f460b4d7ddba083e1d8a48d265
## compiler and optimization tweaks ##
-# disable PGO for 32-bit arches (always), x86_64 optionally
-# normally enabled ('0') for x86_64 - try '1' if the build hangs indefinitely
+# disable PGO for 32-bit arches, 64-bit optionally
+# try '1' if the build hangs indefinitely - known past causes:
+# * resource exhaustion
+# * a test which misbehaves in environments without networking
readonly _SHOULD_SKIP_PGO=$(case "${CARCH}" in armv7h|i686) echo 1 ;; *) echo 0 ;; esac)
-# use GCC vs LLVM for 32-bit arches
-# normally not needed ('0') for x86_64
-# for 32-bit arches, try one or the other, to resolve compiler/linker issues
-readonly _SHOULD_USE_GCC==$(case "${CARCH}" in armv7h) echo 1 ;;
- i686 ) echo 0 ;;
- x86_64) echo 0 ;; esac)
+# use GCC vs LLVM for 32-bit arches, 64-bit optionally
+# trying one or the other, may resolve rolling compiler/linker discrepancies
+readonly _SHOULD_USE_GCC=$(case "${CARCH}" in armv7h) echo 1 ;; *) echo 0 ;; esac)
## dependency tweaks ##
@@ -308,23 +307,22 @@ _check_patching() {
# URI protocol handlers
local uri_handlers=uriloader/exthandler/HandlerList.sys.mjs
local webmails='google|yahoo'
+ local misc_err_msg="9003-FSDG-misc.patch needs reworking"
grep 'name:' $uri_handlers | grep '"KiwiIRC",' &> /dev/null && \
! grep 'name:' $uri_handlers | grep -v '"KiwiIRC",' &> /dev/null && \
! grep -E "($webmails)" $uri_handlers &> /dev/null || \
- ! echo "9003-FSDG-misc.patch needs reworking" || \
+ ! echo "${misc_err_msg}" || \
return 1
# services.addons.mozilla.org API endpoint
local amo_api_endpoint='services.addons.mozilla.org'
- ! grep -qr $amo_api_endpoint &> /dev/null || \
- ! echo '9002-FSDG-preference-defaults.patch needs reworking: AMO API endpoint hostname found in source tree' || \
- return 1
+ local amo_err_msg="9002-FSDG-preference-defaults.patch needs reworking: AMO API endpoint hostname found in source tree"
+ ! grep -qr $amo_api_endpoint &> /dev/null || ! echo "${amo_err_msg}" || return 1
# Remote Settings
local settings_server='firefox.settings.services.mozilla.com'
- ! grep -qr $settings_server &> /dev/null || \
- ! echo '9001-FSDG-sync-remote-settings-with-local-dump.patch needs reworking' || \
- return 1
+ local settings_err_msg="9001-FSDG-sync-remote-settings-with-local-dump.patch needs reworking"
+ ! grep -qr $settings_server &> /dev/null || ! echo "${settings_err_msg}" || return 1
popd > /dev/null
}
@@ -457,6 +455,18 @@ EOF
# archarm configuration #
+ # archarm has these over-rides in ## general configuration ## above
+ # NOTE: '--disable-eme' is currently an invalid option for armv7h.
+ # It must be deleted in order to compile.
+ # If ever it becomes valid, it should not be deleted below.
+ sed -i '
+ /--enable-hardening/d
+ /--enable-optimize/d
+ /--enable-rust-simd/d
+ s| --with-wasi-sysroot=.*| --without-wasm-sandboxed-libraries|
+ /--disable-eme/d
+ ' ../mozconfig
+
if [[ $CARCH == "armv7h" ]]; then
echo "ac_add_options --disable-elf-hack" >> .mozconfig
# https://bugzilla.redhat.com/show_bug.cgi?id=1641623
@@ -480,18 +490,6 @@ EOF
# archarm patching is under the 'technical patching' section
- # archarm has these differences in ## general configuration ## above
- # NOTE: '--disable-eme' is currently an invalid option for armv7h.
- # It must be deleted in order to compile.
- # If ever it becomes valid, it should not be deleted below.
- sed -i '
- /--enable-hardening/d
- /--enable-optimize/d
- /--enable-rust-simd/d
- s| --with-wasi-sysroot=.*| --without-wasm-sandboxed-libraries|
- /--disable-eme/d
- ' ../mozconfig
-
# At this point in the recipe (this `case` block), the arch, arch32, and parabola
# PKGBUILDs have prepared a temporary ${srcdir}/mozconfig; but the archarm PKGBUILD
# writes directly to the final firefox-$pkgver/.mozconfig.
@@ -517,8 +515,7 @@ END
# arch32 `export` commands are under the '[ARCH-SPECIFIC BUILD ENV]' section
- # NOTE: these diffs and the compiler flags above, were moved to mozconfig-i686.patch
- # they are more handy to tweak in-line though
+ # NOTE: arch32 has these over-rides and the compiler flags above, in mozconfig-i686.patch
# disable LTO as it has little benefit and uses too many resources
# don't compile with clang, use gcc toolchain (clang has issues on IA32)
# disable SIMD (SSE2 for i686)